﻿using Autodesk.AutoCAD.Runtime;
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.Geometry;
using Autodesk.AutoCAD.EditorInput;
using AcAp = Autodesk.AutoCAD.ApplicationServices.Application;



namespace DumpObjects
{
    class DumpObjects
    {
        private string _anzeige;

        public string Anzeige { get { return _anzeige;  } }

        public DumpObjects()
        {
            Document doc = AcAp.DocumentManager.MdiActiveDocument;
            Database db = doc.Database;
            Editor ed = doc.Editor;
            PromptEntityOptions peo = new PromptEntityOptions("\nSelect a object: ");
            //peo.SetRejectMessage("Missing.");
            //peo.AddAllowedClass(typeof(BlockReference), true);

            PromptEntityResult per = ed.GetEntity(peo);

            using (Transaction tr = db.TransactionManager.StartTransaction())
            {
                //show type of databasObject
                DBObject dbObj = tr.GetObject(per.ObjectId, OpenMode.ForRead);
                _anzeige = "Entity selected was a " + dbObj.GetRXClass().Name;

            }
        }


        
    }
}
